!!MP Inlines.f

C	An example of a FORTRAN Resource for Microsoft Excel 3.0
C	This example calls sysbeep the specified number of times.
C	Testing for this example was done with Language Systems
C	FORTRAN version 3.0
C	
C	Below are the commands that were executed to create the 
C	code resource

!!IFC FALSE
 FORTRAN BEEP.f -opt=1 -noimplicit
Link -w -f -srt -ad 4 -t '????' -c '????' ¶
-m BEEP -sn Main=BEEP ¶
-sn f_RunTime=BEEP ¶
-sn f_Intrinsics=BEEP ¶
	BEEP.f.o ¶
	"{FLibraries}"OutpwStubs.o ¶
	"{Libraries}"Runtime.o ¶
	"{Libraries}"Interface.o ¶
	"{FLibraries}"FORTRANlib.o ¶
	"{FLibraries}"IntrinsicLib.o ¶
	"{FLibraries}"FSANELib.o ¶
	-o BEEP.rsc
!!ENDC

C	Source code

	integer*2 function beep(%val(num))
	
	integer*2 num,dur,i
	
	dur = 3
	do i = 1,num
		call sysbeep(dur)
		beep = 1
	enddo
	
	return
	end
	
		
	